%define		_state		stable
%define		orgname		libkcddb
%define		qtver		4.8.1

Summary:	CDDB accessing library
Summary(pl.UTF-8):	Biblioteka dostępu do baz CDDB
Name:		kde4-%{orgname}
Version:	4.14.3
Release:	3
License:	GPL v2+
Group:		X11/Libraries
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	cdd7c890f45c58363f2dcbf8fe4dadaa
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	libmusicbrainz5-devel
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
Requires:	kde4-kdelibs >= %{version}
Obsoletes:	kde4-kdemultimedia-libkcddb < 4.8.99-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library for accessing CDDB (cd track information databases) services.

%description -l pl.UTF-8
Biblioteka dostępu do serwisów CDDB (baz danych z informacjami o
utworach).

%package devel
Summary:	Header files for libkcddb library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libkcddb
Group:		X11/Development/Libraries
Requires:	%{name} >= %{version}-%{release}
Requires:	kde4-kdelibs-devel >= %{version}

%description devel
Header files for libkcddb library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libkcddb.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkcddb.so.4.*.*
%attr(755,root,root) %ghost %{_libdir}/libkcddb.so.?
%attr(755,root,root) %{_libdir}/kde4/kcm_cddb.so
%{_datadir}/config.kcfg/libkcddb.kcfg
%{_datadir}/kde4/services/libkcddb.desktop
%{_docdir}/kde/HTML/en/kcontrol/cddbretrieval

%files devel
%defattr(644,root,root,755)
%{_includedir}/libkcddb
%attr(755,root,root) %{_libdir}/libkcddb.so
%dir %{_libdir}/cmake/libkcddb
%{_libdir}/cmake/libkcddb/LibkcddbConfig.cmake
%{_libdir}/cmake/libkcddb/LibkcddbTargets-pld.cmake
%{_libdir}/cmake/libkcddb/LibkcddbTargets.cmake
%changelog
* Tue Nov 28 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-libkcddb.git;a=log;h=master

* Tue Nov 28 2017 Jan Rękorajski <baggins@pld-linux.org> dd7c957
- release 3 (by relup.sh)

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> 7c5a5d6
- x32 rebuild
- release 2 (by relup.sh)

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> a0810cb
- updated to 4.14.3 (by update-kde4.sh)

* Thu Oct 16 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ef95bd4
- up to 4.14.2

* Sun Aug 24 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 069d68b
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> e58236b
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 8e1ae00
- updated to 4.13.1 (by update-kde4.sh)

* Sat May 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> d25adf5
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 50889db
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 4d267b6
- updated to 4.12.3 (by update-kde4.sh)

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 30cbca7
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 2ee43b2
- updated to 4.12.1 (by update-kde4.sh)

* Fri Dec 20 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 2e69972
- 4.12.0

* Thu Dec 12 2013 Lukasz Masko <lmasko@pld-linux.org> c2f55ff
- Up to 4.11.4.

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 03103f1
- updated to 4.10.4 (by update-kde4.sh)

* Thu Jan 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9900c0a
- up to 4.10.0

* Mon Jan 07 2013 witekfl <witekfl@poczta.onet.pl> 11e75fa
- 4.9.5

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> db1ac60
- updated to 4.9.4

* Sun Dec 02 2012 Paweł Sikora <pawel.sikora@agmk.net> 0c196e0
- updated to 4.9.3.

* Wed Sep 05 2012 Paweł Sikora <pawel.sikora@agmk.net> 6c9bd25
- use libmusicbrainz5 engine, release 2.

